Update AssetAsk AIput https://preview.threekit.com/api/assets/{assetId}Updates an asset by ID and organization ID.Path ParamsassetIdstringrequiredID of the asset to be retrieved.Query Paramsbearer_tokenstringAccess token used to authorize the request. This endpoint only works with private tokens.orgIdstringrequiredOrganization ID.branchstringName of the org branch to connect to. If no value is provided the default value is "main".Body ParamsAsset update information.namestringAsset name.descriptionstringAsset descriptiontagsstringAsset tagskeywordsstringAsset keywordsbranchstringAsset branchpublicSharebooleanWhether share the asset to public or nottruefalseproxyIdstringAsset proxy ID.importedFileIdstringAsset associated imported file IDparentFolderIdstringID of the folder to move asset to. Root folder values are- 1. Catalog items and Stages - 'catalog' 2. Assets and Global Attributes - 'assets'publishedAtstringTime when asset was publisheddefaultStageIdstringID of the asset stagedefaultCompositeIdstringID of the asset compositeResponses 200Returns a asset's information 400User did not pass orgId as query parameter. 401User is not authenticated. They must be authenticated to use this service. 403No token was provided in the query string of the request 404No asset was found for the given ID 422The request body was missing required fields or contained invalid fields.Updated about 1 year ago